The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem with checkperlmodules

Discussion in 'General Discussion' started by sky, Mar 11, 2007.

  1. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    Whenever i run /usr/local/cpanel/bin/checkperlmodules I get the following error. Running on FreeBSD 5.4.

    Anyone has any idea?

    Undefined subroutine &Compress::Zlib::gzopen called at /usr/lib/perl5/5.8.7/CPAN/Tarzip.pm line 102.


    thanx in advance
     
  2. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    You can try going into 'cpan' and running 'install Compress::Zlib' and see if that helps
     
  3. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    hmmm doesn't work.

    I even downloaded the compress::zlib module and installed everything (plus dependencies) manually. I still hit same problem. I can't even upgrade CPAN to latest.

    Anyone has any clue?

    thanx
     
    #3 sky, Mar 11, 2007
    Last edited: Mar 11, 2007
  4. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    I am at a lost now ... how to reinstall perl from scratch? It seems to fail on Compress::Zlib:gzopen. I have checked the module and the function/method is in there. Why does it keep giving an error that they can't find it.

    /lost
     
  5. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
  6. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    hi Tune,

    thanx for the replies so far.

    The issue is, even ./install does not work. It breaks at exactly the same module Compress::Zlib.
     
  7. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    ok coolness ....

    i just keep running it everytime it stops at that point and it just continue pass it the next time till it calls another Compress:Zlib:gzopen.

    freaking annoying. .... maybe a new server with new freebsd install would be good .... .2 year old server ... time to move on .. RIP
     
  8. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    Did you force install Compress::Zlib?
     
  9. sky

    sky Well-Known Member

    Joined:
    Nov 24, 2002
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    0
    Can't force install thru CPAN. Coz it needs the zlib thingie in the first place to unzip. The only way was to manually install. Which also does not work. very very weird.
     
Loading...

Share This Page